aboutsummaryrefslogtreecommitdiff
path: root/push.sh
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2016-01-08 16:43:32 -0500
committerB. Watson <yalhcru@gmail.com>2016-01-08 16:43:32 -0500
commit22e83eb9053edb1813349e707b2679c015a51c8b (patch)
tree9f35067934537118a0dd45186c85598032a2c6b1 /push.sh
parentad68c7957beea8e4825c88d4038884e42f46c6f6 (diff)
downloadtaipan-22e83eb9053edb1813349e707b2679c015a51c8b.tar.gz
push target
Diffstat (limited to 'push.sh')
-rw-r--r--push.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/push.sh b/push.sh
new file mode 100644
index 0000000..91263a3
--- /dev/null
+++ b/push.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# push to git, create a new build from scratch, post it on webserver,
+# and print the short git hash (for copy/pasting into irc).
+# "naptime" is a shell script that you don't have :)
+
+git push && $MAKE distclean all || exit 1
+URL="$( naptime taipan.xex)"
+REV="$( git rev-parse --short HEAD )"
+
+echo "build ID $REV at $URL"